=== debian/changelog ===
alljoyn-services-1504 (15.04-8) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa URLs
  * debian/copyright: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Feb 2018 16:01:37 +0100

alljoyn-services-1504 (15.04-7) unstable; urgency=medium

  * add gcc7 patch (Closes: #853307)
  * debian/control: change priority: from extra to optional
  * debian/control: bump standard to 4.0.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Aug 2017 19:28:32 +0200

alljoyn-services-1504 (15.04-6) unstable; urgency=medium

  * take care of broken symlinks (Closes: #861506)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 May 2017 18:28:32 +0200

alljoyn-services-1504 (15.04-5) unstable; urgency=medium

  * move package to debian-iot-maintainer

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Dec 2016 18:28:32 +0100

alljoyn-services-1504 (15.04-4) unstable; urgency=medium

  * add no-bsymbolic.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Jun 2016 12:28:32 +0200

alljoyn-services-1504 (15.04-3) unstable; urgency=medium

  * debian/rules: take CPU mapping from alljoyn-core-1504
  * debian/rules: remove arm directory from build-core 
    (Closes: #826765)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Jun 2016 19:28:32 +0200

alljoyn-services-1504 (15.04-2) unstable; urgency=medium

  * debian/rules: add CPU mapping from alljoyn-core-1504 
  * debian/control: add VCS URLs
  * combine all ReleaseNotes.txt to create upstream changelog

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2016 20:28:32 +0200

alljoyn-services-1504 (15.04-1) unstable; urgency=medium

  * Initial release (Closes: #826354)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Jun 2016 22:28:32 +0200
