=== debian/control ===
Source: alljoyn-services-1504
Section: net
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: dh-exec (>=0.3)
               , debhelper (>=11)
	       , liballjoyn-common-dev-1504
	       , liballjoyn-dev-1504
               , scons
               , libssl-dev
               , libgtest-dev
	       , libxml2-dev
#	       , javahelper
#	       , junit
#	       , libcsv-java
#	       , libmatthew-debug-java
#	       , libitext-java
#               , ant
#               , libcap-dev
Standards-Version: 4.1.3
Homepage: https://allseenalliance.org/framework
Vcs-Browser: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-services-1504.git
Vcs-Git: https://salsa.debian.org/debian-iot-team/alljoyn/alljoyn-services-1504.git

Package: liballjoynservices1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn base services library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the libraries for the base services 
 in version 1504.

Package: liballjoynservices-dev-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballjoynservices1504 (= ${binary:Version}),
         liballjoyn-common-dev-1504
Section: libdevel
Description: AllJoyn base services C++ development library
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the C++ development files for the base services.

Package: alljoyn-services-1504
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AllJoyn base services for 1504
 AllJoyn is a collaborative open-source software framework that makes 
 it easy for developers to write applications that can discover nearby
 devices, and communicate with each other directly regardless of 
 brands, categories, transports, and OSes without the need of the cloud. 
 .
 The AllJoyn framework is extremely flexible with many features to help 
 make the vision of the Internet of Things come to life.
 .
 This package contains the software for the base services 
 in version 1504.
